php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #71590 [SYNC] sync does not support PHP 7
Submitted: 2016-02-14 18:56 UTC Modified: 2017-10-24 13:37 UTC
Votes:2
Avg. Score:5.0 ± 0.0
Reproduced:2 of 2 (100.0%)
Same Version:2 (100.0%)
Same OS:1 (50.0%)
From: trauma2u at gmail dot com Assigned: cubic (profile)
Status: Closed Package: PECL (PECL)
PHP Version: 7.0.3 OS: Ubuntu 14.04
Private report: No CVE-ID: None
 [2016-02-14 18:56 UTC] trauma2u at gmail dot com
Description:
------------
Under PHP7 environment,
"pecl install sync" fails.
Support PHP7 please.



Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2016-02-15 00:43 UTC] requinix@php.net
-Summary: Support PHP7 +Summary: sync does not support PHP 7 -Package: Compile Failure +Package: PECL -Assigned To: +Assigned To: cubic
 [2017-10-24 07:24 UTC] kalle@php.net
-Status: Assigned +Status: Open -Assigned To: cubic +Assigned To:
 [2017-10-24 08:53 UTC] kalle@php.net
-Summary: sync does not support PHP 7 +Summary: [SYNC] sync does not support PHP 7
 [2017-10-24 13:37 UTC] cubic@php.net
-Status: Open +Status: Closed -Assigned To: +Assigned To: cubic
 [2017-10-24 13:37 UTC] cubic@php.net
Somehow this bug report slipped through the cracks.  The sync extension has worked under PHP 7 since 1.1.0 (released Nov 27, 2016).  I'm closing the bug report which was originally opened on Feb 2016.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Sat Jul 11 18:01:24 2020 UTC